# Globals

## Properties

ChatTypes
Events
GroupNotificationTypes

MessageAck
MessageTypes
Status

WAState

## Properties

read-only

### ChatTypes string

Chat types

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
SOLO |  |  |
GROUP |  |  |
UNKNOWN |  |  |

read-only

### Events string

Events that can be emitted by the client

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
AUTHENTICATED |  |  |
AUTHENTICATION_FAILURE |  |  |
READY |  |  |
MESSAGE_RECEIVED |  |  |
MESSAGE_CREATE |  |  |
MESSAGE_REVOKED_EVERYONE |  |  |
MESSAGE_REVOKED_ME |  |  |
MESSAGE_ACK |  |  |
GROUP_JOIN |  |  |
GROUP_LEAVE |  |  |
GROUP_UPDATE |  |  |
QR_RECEIVED |  |  |
DISCONNECTED |  |  |
STATE_CHANGED |  |  |

read-only

### GroupNotificationTypes string

Group notification types

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
ADD |  |  |
INVITE |  |  |
REMOVE |  |  |
LEAVE |  |  |
SUBJECT |  |  |
DESCRIPTION |  |  |
PICTURE |  |  |
ANNOUNCE |  |  |
RESTRICT |  |  |

read-only

### MessageAck number

Message ACK

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
ACK_ERROR |  |  |
ACK_PENDING |  |  |
ACK_SERVER |  |  |
ACK_DEVICE |  |  |
ACK_READ |  |  |
ACK_PLAYED |  |  |

read-only

### MessageTypes string

Message types

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
TEXT |  |  |
AUDIO |  |  |
VOICE |  |  |
IMAGE |  |  |
VIDEO |  |  |
DOCUMENT |  |  |
STICKER |  |  |
LOCATION |  |  |
CONTACT_CARD |  |  |
CONTACT_CARD_MULTI |  |  |
REVOKED |  |  |
UNKNOWN |  |  |

read-only

### Status number

Client status

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
INITIALIZING |  |  |
AUTHENTICATING |  |  |
READY |  |  |

read-only

### WAState string

WhatsApp state

#### Properties

Name | Type | Optional | Description
--- | --- | --- | ---
CONFLICT |  |  |
CONNECTED |  |  |
DEPRECATED_VERSION |  |  |
OPENING |  |  |
PAIRING |  |  |
PROXYBLOCK |  |  |
SMB_TOS_BLOCK |  |  |
TIMEOUT |  |  |
TOS_BLOCK |  |  |
UNLAUNCHED |  |  |
UNPAIRED |  |  |
UNPAIRED_IDLE |  |  |